Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class Version31Upgrader.OriginalBuildResults

    java.lang.Object
      com.atlassian.bamboo.upgrader.Version31Upgrader.OriginalBuildResults

Enclosing class:
  Version31Upgrader

    public class Version31Upgrader.OriginalBuildResults

extends Object

Constructor Summary
`Version31Upgrader.OriginalBuildResults()`

Method Summary
`List` | `getBuildLog()`
`Map` | `getMyArtifacts()`
`Date` | `getMyBuildDate()`
`long` | `getMyBuildDuration()`
`List` | `getMyBuildErrors()`
`String` | `getMyBuildName()`
`int` | `getMyBuildNumber()`
`List` | `getMyBuildOutput()`
`BuildState` | `getMyBuildState()`
`Collection` | `getMyChangeList()`
`List` | `getMyFailedTestResults()`
`ReasonForBuild` | `getMyReasonForBuild()`
`List` | `getMySuccessfulTestResults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Version31Upgrader.OriginalBuildResults

    public Version31Upgrader.OriginalBuildResults()

Method Detail

### getMyBuildName

    public String getMyBuildName()

### getMyReasonForBuild

    public ReasonForBuild getMyReasonForBuild()

### getMyBuildState

    public BuildState getMyBuildState()

### getMyBuildErrors

    public List getMyBuildErrors()

### getMyBuildOutput

    public List getMyBuildOutput()

### getMyChangeList

    public Collection getMyChangeList()

### getMyBuildNumber

    public int getMyBuildNumber()

### getMySuccessfulTestResults

    public List getMySuccessfulTestResults()

### getMyFailedTestResults

    public List getMyFailedTestResults()

### getMyBuildDate

    public Date getMyBuildDate()

### getMyBuildDuration

    public long getMyBuildDuration()

### getMyArtifacts

    public Map getMyArtifacts()

### getBuildLog

    public List getBuildLog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.